aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-20 09:53:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-20 09:53:48 +0000
commit11a807c2bf52f294fe618ba7f04947c607ba403f (patch)
treeed716aad60f10236fd334e153e2b62372250f7bb /x11
parent79ba439097f5c3f7ec959a12431ae1bc4a24f1f9 (diff)
downloadaports-11a807c2bf52f294fe618ba7f04947c607ba403f.tar.gz
aports-11a807c2bf52f294fe618ba7f04947c607ba403f.tar.bz2
aports-11a807c2bf52f294fe618ba7f04947c607ba403f.tar.xz
x11/xf86-video-{ati,dummy,geode,glint,intel}: new aports
Diffstat (limited to 'x11')
-rw-r--r--x11/xf86-video-ati/APKBUILD24
-rw-r--r--x11/xf86-video-dummy/APKBUILD23
-rw-r--r--x11/xf86-video-geode/APKBUILD23
-rw-r--r--x11/xf86-video-glint/APKBUILD23
-rw-r--r--x11/xf86-video-intel/APKBUILD23
5 files changed, 116 insertions, 0 deletions
diff --git a/x11/xf86-video-ati/APKBUILD b/x11/xf86-video-ati/APKBUILD
new file mode 100644
index 0000000000..7cfcee8c8c
--- /dev/null
+++ b/x11/xf86-video-ati/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-ati
+pkgver=6.12.2
+pkgrel=0
+pkgdesc="ATI video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto libdrm-dev xf86driproto glproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="2bf50461378771497501ca7f678d36f3 xf86-video-ati-6.12.2.tar.bz2"
diff --git a/x11/xf86-video-dummy/APKBUILD b/x11/xf86-video-dummy/APKBUILD
new file mode 100644
index 0000000000..91ed8f82ef
--- /dev/null
+++ b/x11/xf86-video-dummy/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-dummy
+pkgver=0.3.1
+pkgrel=0
+pkgdesc="X.Org driver for dummy cards"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto xf86dgaproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="e7920f4820d3450e9e5cb454fc620895 xf86-video-dummy-0.3.1.tar.bz2"
diff --git a/x11/xf86-video-geode/APKBUILD b/x11/xf86-video-geode/APKBUILD
new file mode 100644
index 0000000000..4c91e79117
--- /dev/null
+++ b/x11/xf86-video-geode/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-geode
+pkgver=2.11.1
+pkgrel=0
+pkgdesc="AMD Geode GX and LX video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto xf86dgaproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="6e00dd248ac5de89ab4764954ea74a96 xf86-video-geode-2.11.1.tar.bz2"
diff --git a/x11/xf86-video-glint/APKBUILD b/x11/xf86-video-glint/APKBUILD
new file mode 100644
index 0000000000..25f6673ec9
--- /dev/null
+++ b/x11/xf86-video-glint/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-glint
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="GLINT/Permedia video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto xf86dgaproto glproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="4295a46a75fa98470c6dfb0e1a4f7e9f xf86-video-glint-1.2.2.tar.bz2"
diff --git a/x11/xf86-video-intel/APKBUILD b/x11/xf86-video-intel/APKBUILD
new file mode 100644
index 0000000000..22828d5f05
--- /dev/null
+++ b/x11/xf86-video-intel/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-intel
+pkgver=2.7.0
+pkgrel=0
+pkgdesc="X.Org driver for Intel cards"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto glproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="5832172ac69b9a066a202e1578a5d3c8 xf86-video-intel-2.7.0.tar.bz2"